---
layout: layout.njk
title: </> htmx - high power tools for html
---

## The `json-enc` Extension

This extension encodes parameters in JSON format instead of url format.

### Usage

```html
<div hx-post='/test' hx-ext='json-enc'>click me</div>
```

### Source

<https://unpkg.com/htmx.org/dist/ext/json-enc.js>
